<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myDetailBahanLabel" jhiTranslate="mpmApp.detailBahan.home.createOrEditLabel">Create or edit a Detail Bahan</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!detailBahan.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="detailBahan.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.nobbm" for="field_nobbm">Nobbm</label>
            <input type="text" class="form-control" name="nobbm" id="field_nobbm"
                [(ngModel)]="detailBahan.nobbm"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.kdsupp" for="field_kdsupp">Kdsupp</label>
            <input type="text" class="form-control" name="kdsupp" id="field_kdsupp"
                [(ngModel)]="detailBahan.kdsupp"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.kdbahan" for="field_kdbahan">Kdbahan</label>
            <input type="number" class="form-control" name="kdbahan" id="field_kdbahan"
                [(ngModel)]="detailBahan.kdbahan"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.qty" for="field_qty">Qty</label>
            <input type="number" class="form-control" name="qty" id="field_qty"
                [(ngModel)]="detailBahan.qty"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.nobatch" for="field_nobatch">Nobatch</label>
            <input type="text" class="form-control" name="nobatch" id="field_nobatch"
                [(ngModel)]="detailBahan.nobatch"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.tgl_exp" for="field_tgl_exp">Tgl Exp</label>
            <div class="d-flex">
                <input id="field_tgl_exp" type="datetime-local" class="form-control" name="tgl_exp" [(ngModel)]="detailBahan.tgl_exp"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.tgl_hal" for="field_tgl_hal">Tgl Hal</label>
            <div class="d-flex">
                <input id="field_tgl_hal" type="datetime-local" class="form-control" name="tgl_hal" [(ngModel)]="detailBahan.tgl_hal"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.tgl_msk" for="field_tgl_msk">Tgl Msk</label>
            <div class="d-flex">
                <input id="field_tgl_msk" type="datetime-local" class="form-control" name="tgl_msk" [(ngModel)]="detailBahan.tgl_msk"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.lokasi" for="field_lokasi">Lokasi</label>
            <input type="text" class="form-control" name="lokasi" id="field_lokasi"
                [(ngModel)]="detailBahan.lokasi"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.nolpm" for="field_nolpm">Nolpm</label>
            <input type="text" class="form-control" name="nolpm" id="field_nolpm"
                [(ngModel)]="detailBahan.nolpm"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.status" for="field_status">Status</label>
            <input type="text" class="form-control" name="status" id="field_status"
                [(ngModel)]="detailBahan.status"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.qty_rls" for="field_qty_rls">Qty Rls</label>
            <input type="text" class="form-control" name="qty_rls" id="field_qty_rls"
                [(ngModel)]="detailBahan.qty_rls"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.qty_tlk" for="field_qty_tlk">Qty Tlk</label>
            <input type="number" class="form-control" name="qty_tlk" id="field_qty_tlk"
                [(ngModel)]="detailBahan.qty_tlk"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.qty_pakai" for="field_qty_pakai">Qty Pakai</label>
            <input type="number" class="form-control" name="qty_pakai" id="field_qty_pakai"
                [(ngModel)]="detailBahan.qty_pakai"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.qty_karantina" for="field_qty_karantina">Qty Karantina</label>
            <input type="number" class="form-control" name="qty_karantina" id="field_qty_karantina"
                [(ngModel)]="detailBahan.qty_karantina"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.kdbahan_lama" for="field_kdbahan_lama">Kdbahan Lama</label>
            <input type="text" class="form-control" name="kdbahan_lama" id="field_kdbahan_lama"
                [(ngModel)]="detailBahan.kdbahan_lama"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.nolpm2" for="field_nolpm2">Nolpm 2</label>
            <input type="text" class="form-control" name="nolpm2" id="field_nolpm2"
                [(ngModel)]="detailBahan.nolpm2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.status2" for="field_status2">Status 2</label>
            <input type="text" class="form-control" name="status2" id="field_status2"
                [(ngModel)]="detailBahan.status2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBahan.qty_sisa" for="field_qty_sisa">Qty Sisa</label>
            <input type="number" class="form-control" name="qty_sisa" id="field_qty_sisa"
                [(ngModel)]="detailBahan.qty_sisa"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
